Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision e040ad195fdeed3a0f1d0ac62272491892cd238c)
+++ chapter01/changelog.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
@@ -37,4 +37,14 @@
 -->
     <listitem>
+      <para>2014-03-23</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-3.65. Fixes
+          <ulink url="&lfs-ticket-root;3547">#3547</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2014-03-22</para>
       <itemizedlist>
Index: chapter06/acl.xml
===================================================================
--- chapter06/acl.xml	(revision e040ad195fdeed3a0f1d0ac62272491892cd238c)
+++ chapter06/acl.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
@@ -55,7 +55,6 @@
     to segfault on overly long group name:</para>
 
-<screen><userinput remap="pre">sed -i -e "s|: TABS-1;|&amp;\n\n\t\t\tif (x > (TABS-1))\n\t\t\t\tx = (TABS-1);\n|" \
+<screen><userinput remap="pre">sed -i -e "/TABS-1;/a if (x > (TABS-1)) x = (TABS-1);" \
     libacl/__acl_to_any_text.c</userinput></screen>
-     
 
     <para>Prepare Acl for compilation:</para>
Index: chapter07/network.xml
===================================================================
--- chapter07/network.xml	(revision e040ad195fdeed3a0f1d0ac62272491892cd238c)
+++ chapter07/network.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
@@ -122,5 +122,5 @@
     name as described on the beginning of this page.</para>
 
-    <note><para>These procedures require the configuartion files as specified
+    <note><para>These procedures require the configuration files as specified
     in the previous section.</para></note>
 
@@ -148,7 +148,10 @@
 EOF</userinput></screen>
 
-  <para>You can use multiple .network files if desired.  You can also specify
-  DHCP=yes instead of the Address and Gateway settings.  See the man page for
-  systemd.network for more details,</para>
+    <para>You can use multiple .network files if desired.  You can also specify
+    DHCP=yes instead of the Address and Gateway settings.  See the man page for
+    systemd.network for more details,</para>
+
+    <note><para>If this method is used, be sure to disable ifupdown@eth0 as 
+    described in the previous section (if it was enabled).</para></note>
 
   </sect2>
Index: chapter07/usage.xml
===================================================================
--- chapter07/usage.xml	(revision e040ad195fdeed3a0f1d0ac62272491892cd238c)
+++ chapter07/usage.xml	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
@@ -208,12 +208,91 @@
   </sect2>
 
+  <sect2>
+    <title>Udev Bootscripts</title>
+
+      <para>The first LFS bootscript,
+      <filename>/etc/init.d/mountvirtfs</filename> will copy any devices
+      located in <filename class="directory">/lib/udev/devices</filename> to
+      <filename class="directory">/dev</filename>. This is necessary because
+      some devices, directories, and symlinks are needed before the dynamic
+      device handling processes are available during the early stages of
+      booting a system, or are required by <command>udevd</command> itself.
+      Creating static device nodes in <filename
+      class="directory">/lib/udev/devices</filename> also provides an easy
+      workaround for devices that are not supported by the dynamic device
+      handling infrastructure.</para>
+
+      <para>The <filename>/etc/rc.d/init.d/udev</filename> initscript starts
+      <command>udevd</command>, triggers any "coldplug" devices that have
+      already been created by the kernel and waits for any rules to complete.
+      The script also unsets the uevent handler from the default of
+      <filename>/sbin/hotplug </filename>.  This is done because the kernel no
+      longer needs to call out to an external binary.  Instead
+      <command>udevd</command> will listen on a netlink socket for uevents that
+      the kernel raises.</para>
+
+      <para>The <command>/etc/rc.d/init.d/udev_retry</command> initscript takes
+      care of re-triggering events for subsystems whose rules may rely on
+      filesystems that are not mounted until the <command>mountfs</command>
+      script is run (in particular, <filename class="directory">/usr</filename>
+      and <filename class="directory">/var</filename> may cause this).  This
+      script runs after the <command>mountfs</command> script, so those rules
+      (if re-triggered) should succeed the second time around.  It is
+      configured from the <filename>/etc/sysconfig/udev_retry</filename> file;
+      any words in this file other than comments are considered subsystem names
+      to trigger at retry time.  To find the subsystem of a device, use
+      <command>udevadm info --attribute-walk &lt;device&gt;</command> where
+      &lt;device&gt; is an absolute path in /dev or /sys such as /dev/sr0 or
+      /sys/class/rtc.</para>
+
+    <sect3>
+      <title>Module Loading</title>
+
+      <para>Device drivers compiled as modules may have aliases built into them.
+      Aliases are visible in the output of the <command>modinfo</command>
+      program and are usually related to the bus-specific identifiers of devices
+      supported by a module. For example, the <emphasis>snd-fm801</emphasis>
+      driver supports PCI devices with vendor ID 0x1319 and device ID 0x0801,
+      and has an alias of <quote>pci:v00001319d00000801sv*sd*bc04sc01i*</quote>.
+      For most devices, the bus driver exports the alias of the driver that
+      would handle the device via <systemitem
+      class="filesystem">sysfs</systemitem>. E.g., the
+      <filename>/sys/bus/pci/devices/0000:00:0d.0/modalias</filename> file
+      might contain the string
+      <quote>pci:v00001319d00000801sv00001319sd00001319bc04sc01i00</quote>.
+      The default rules provided with Udev will cause <command>udevd</command>
+      to call out to <command>/sbin/modprobe</command> with the contents of the
+      <envar>MODALIAS</envar> uevent environment variable (which should be the
+      same as the contents of the <filename>modalias</filename> file in sysfs),
+      thus loading all modules whose aliases match this string after wildcard
+      expansion.</para>
+
+      <para>In this example, this means that, in addition to
+      <emphasis>snd-fm801</emphasis>, the obsolete (and unwanted)
+      <emphasis>forte</emphasis> driver will be loaded if it is
+      available. See below for ways in which the loading of unwanted drivers can
+      be prevented.</para>
+
+      <para>The kernel itself is also able to load modules for network
+      protocols, filesystems and NLS support on demand.</para>
+
+    </sect3>
+
+    <sect3>
+      <title>Handling Hotpluggable/Dynamic Devices</title>
+
+      <para>When you plug in a device, such as a Universal Serial Bus (USB) MP3
+      player, the kernel recognizes that the device is now connected and
+      generates a uevent. This uevent is then handled by
+      <command>udevd</command> as described above.</para>
+
+    </sect3>
+  </sect2>
+
   <sect2 id="ch-scripts-clock">
     <title>Configuring the System Clock</title>
 
-    <sect3 id="ch-scripts-setclock">
-    <title>System V Clock Configuration</title>
-
-    <indexterm zone="ch-scripts-setclock">
-      <primary sortas="d-setclock">setclock</primary>
+    <indexterm zone="ch-scripts-clock">
+      <primary sortas="d-scripts-setclock">setclock</primary>
     <secondary>configuring</secondary></indexterm>
 
@@ -269,5 +348,4 @@
     in the <filename>/etc/sysconfig/rc.site</filename> file.</para></note>
 
-     </sect3>
   </sect2>
 
Index: general.ent
===================================================================
--- general.ent	(revision e040ad195fdeed3a0f1d0ac62272491892cd238c)
+++ general.ent	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
@@ -1,4 +1,4 @@
-<!ENTITY version         "SVN-20140422">
-<!ENTITY releasedate     "April 22, 2014">
+<!ENTITY version         "SVN-20140423">
+<!ENTITY releasedate     "April 23, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "8.0">
Index: packages.ent
===================================================================
--- packages.ent	(revision e040ad195fdeed3a0f1d0ac62272491892cd238c)
+++ packages.ent	(revision 976040f4a11fdf01390d685312ef29e4e84ca1cb)
@@ -443,8 +443,8 @@
 <!ENTITY man-db-ch6-sbu "0.5 SBU">
 
-<!ENTITY man-pages-version "3.64">
-<!ENTITY man-pages-size "1,194 KB">
+<!ENTITY man-pages-version "3.65">
+<!ENTITY man-pages-size "1,200 KB">
 <!ENTITY man-pages-url "http://www.kernel.org/pub/linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "e39da1ac5a5effd4514809301bad47a8">
+<!ENTITY man-pages-md5 "0f165e0ab25ff5687d2d0b237af77b74">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "23 MB">