Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision b09cc8e88e20501ba49cb680346138016488b6f0)
+++ chapter03/packages.xml	(revision 2256873ba15ddcf930149aa7f48bba38802b0b48)
@@ -90,331 +90,9 @@
 
 <varlistentry>
-<term>File (&file-version;) - 356 KB: <emphasis>(see Note 1)</emphasis></term>
+<term>File (&file-version;) - 356 KB:</term>
 <listitem>
 <para><ulink url="&freshmeat;file/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Findutils (&findutils-version;) - 760 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;findutils/"/></para>
 <beginpage/>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Flex (&flex-version;) - 372 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;flex/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Gawk (&gawk-version;) - 1,692 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;gnuawk/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>GCC (&gcc-version;) - 27,000 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;gcc/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Gettext (&gettext-version;) - 6,397 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;gettext/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Glibc (&glibc-version;) - 13,101 KB: <emphasis>(see Note 2)</emphasis></term>
-<listitem>
-<para><ulink url="&freshmeat;glibc/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Grep (&grep-version;) - 545 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;grep/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Groff (&groff-version;) - 2,360 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;groff/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Grub (&grub-version;) - 902 KB:</term>
-<listitem>
-<para><ulink url="ftp://alpha.gnu.org/pub/gnu/grub/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Gzip (&gzip-version;) - 324 KB:</term>
-<listitem>
-<para><ulink url="ftp://alpha.gnu.org/gnu/gzip/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Iana-Etc (&iana-etc-version;) - 161 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;iana-etc/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Inetutils (&inetutils-version;) - 1,019 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;inetutils/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>IPRoute2 (&iproute2-version;) - 264 KB:</term>
-<listitem>
-<para><ulink url="http://developer.osdl.org/dev/iproute2/download/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Kbd (&kbd-version;) - 617 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;kbd/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Less (&less-version;) - 259 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;less/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>LFS-Bootscripts (&bootscripts-version;) - 16 KB:</term>
-<listitem>
-<para><ulink url="http://downloads.linuxfromscratch.org/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Libtool (&libtool-version;) - 2,602 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;libtool/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Linux (&linux-version;) - 34,793 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;linux/?branch_id=46339"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Linux-Libc-Headers (&linux-libc-headers-version;) - 2,602 KB:</term>
-<listitem>
-<para><ulink url="http://ep09.pld-linux.org/~mmazur/linux-libc-headers/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>M4 (&m4-version;) - 337 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;gnum4/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Make (&make-version;) - 899 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;gnumake/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Man (&man-version;) - 223 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;man/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Man-pages (&man-pages-version;) - 1,586 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;man-pages/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Mktemp (&mktemp-version;) - 69 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;mktemp/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Module-Init-Tools (&module-init-tools-version;) - 118 KB:</term>
-<listitem>
-<para><ulink url="ftp://ftp.kernel.org/pub/linux/utils/kernel/module-init-tools/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Ncurses (&ncurses-version;) - 2,019 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;ncurses/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Patch (&patch-version;) - 182 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;patch/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Perl (&perl-version;) - 9,373 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;perl/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Procps (&procps-version;) - 265 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;procps/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Psmisc (&psmisc-version;) - 375 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;psmisc/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Readline (&readline-version;) - 940 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;gnureadline/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Sed (&sed-version;) - 749KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;sed/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Shadow (&shadow-version;) - 795 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;shadow/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Sysklogd (&sysklogd-version;) - 80 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;sysklogd/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Sysvinit (&sysvinit-version;) - 91 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;sysvinit/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Tar (&tar-version;) - 1,025 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;tar/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Tcl (&tcl-version;) - 3,363 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;tcltk/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Texinfo (&texinfo-version;) - 1,385 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;texinfo/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Udev (&udev-version;) - 374 KB:</term>
-<listitem>
-<para><ulink url="ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Udev Permissions Configuration - 2 KB:</term>
-<listitem>
-<para><ulink url="http://downloads.linuxfromscratch.org/udev-config-2.permissions"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Udev Rules Configuration - 1 KB:</term>
-<listitem>
-<para><ulink url="http://downloads.linuxfromscratch.org/udev-config-1.rules"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Util-linux (&util-linux-version;) - 1,921 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;util-linux/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Vim (&vim-version;) - 3,612 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;vim/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Vim (&vim-version;) language files (optional) - 1,033 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;vim/"/></para>
-</listitem>
-</varlistentry>
-
-<varlistentry>
-<term>Zlib (&zlib-version;) - 277 KB:</term>
-<listitem>
-<para><ulink url="&freshmeat;zlib/"/></para>
-</listitem>
-</varlistentry>
-
-</variablelist>
-
-<para>Total size of these packages: 135 MB</para>
-
-<note><para>1) File (&file-version;) may no longer be available at the
+<note><para>File (&file-version;) may no longer be available at the
 listed location. The site administrators of the master download
 location occasionally remove older versions when new ones are
@@ -422,6 +100,47 @@
 version available is <ulink
 url="ftp://ftp.linuxfromscratch.org/pub/lfs/"/>.</para></note>
-
-<note><para>2) Released packages of Glibc are not new enough for our
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Findutils (&findutils-version;) - 760 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;findutils/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Flex (&flex-version;) - 372 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;flex/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Gawk (&gawk-version;) - 1,692 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;gnuawk/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>GCC (&gcc-version;) - 27,000 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;gcc/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Gettext (&gettext-version;) - 6,397 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;gettext/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Glibc (&glibc-version;) - 13,101 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;glibc/"/></para>
+<note><para>Released packages of Glibc are not new enough for our
 purposes, so create a tarball of an appropriate Concurrent Versions
 System (CVS) snapshot with the following
@@ -438,5 +157,6 @@
     glibc-2.3.4-20040701</userinput></screen>
 
-<para> Alternatively, the LFS team developed a tarball which can be
+<para></para>
+<para>Alternatively, the LFS team developed a tarball which can be
 downloaded from any of the File Transfer Protocol (FTP) mirrors listed
 on the LFS Website at <ulink url="&lfs-root;lfs/packages.html#http"/>.
@@ -448,4 +168,283 @@
 provided in the Beyond Linux From Scratch (BLFS) book at <ulink
 url="&lfs-root;blfs/view/svn/postlfs/gnupg.html"/>.</para></note>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Grep (&grep-version;) - 545 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;grep/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Groff (&groff-version;) - 2,360 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;groff/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Grub (&grub-version;) - 902 KB:</term>
+<listitem>
+<para><ulink url="ftp://alpha.gnu.org/pub/gnu/grub/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Gzip (&gzip-version;) - 324 KB:</term>
+<listitem>
+<para><ulink url="ftp://alpha.gnu.org/gnu/gzip/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Iana-Etc (&iana-etc-version;) - 161 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;iana-etc/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Inetutils (&inetutils-version;) - 1,019 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;inetutils/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>IPRoute2 (&iproute2-version;) - 264 KB:</term>
+<listitem>
+<para><ulink url="http://developer.osdl.org/dev/iproute2/download/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Kbd (&kbd-version;) - 617 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;kbd/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Less (&less-version;) - 259 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;less/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>LFS-Bootscripts (&bootscripts-version;) - 16 KB:</term>
+<listitem>
+<para><ulink url="http://downloads.linuxfromscratch.org/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Libtool (&libtool-version;) - 2,602 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;libtool/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Linux (&linux-version;) - 34,793 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;linux/?branch_id=46339"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Linux-Libc-Headers (&linux-libc-headers-version;) - 2,602 KB:</term>
+<listitem>
+<para><ulink url="http://ep09.pld-linux.org/~mmazur/linux-libc-headers/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>M4 (&m4-version;) - 337 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;gnum4/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Make (&make-version;) - 899 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;gnumake/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Man (&man-version;) - 223 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;man/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Man-pages (&man-pages-version;) - 1,586 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;man-pages/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Mktemp (&mktemp-version;) - 69 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;mktemp/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Module-Init-Tools (&module-init-tools-version;) - 118 KB:</term>
+<listitem>
+<para><ulink url="ftp://ftp.kernel.org/pub/linux/utils/kernel/module-init-tools/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Ncurses (&ncurses-version;) - 2,019 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;ncurses/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Patch (&patch-version;) - 182 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;patch/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Perl (&perl-version;) - 9,373 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;perl/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Procps (&procps-version;) - 265 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;procps/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Psmisc (&psmisc-version;) - 375 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;psmisc/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Readline (&readline-version;) - 940 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;gnureadline/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Sed (&sed-version;) - 749 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;sed/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Shadow (&shadow-version;) - 795 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;shadow/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Sysklogd (&sysklogd-version;) - 80 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;sysklogd/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Sysvinit (&sysvinit-version;) - 91 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;sysvinit/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Tar (&tar-version;) - 1,025 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;tar/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Tcl (&tcl-version;) - 3,363 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;tcltk/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Texinfo (&texinfo-version;) - 1,385 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;texinfo/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Udev (&udev-version;) - 374 KB:</term>
+<listitem>
+<para><ulink url="ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Udev Permissions Configuration - 2 KB:</term>
+<listitem>
+<para><ulink url="http://downloads.linuxfromscratch.org/udev-config-2.permissions"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Udev Rules Configuration - 1 KB:</term>
+<listitem>
+<para><ulink url="http://downloads.linuxfromscratch.org/udev-config-1.rules"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Util-linux (&util-linux-version;) - 1,921 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;util-linux/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Vim (&vim-version;) - 3,612 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;vim/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Vim (&vim-version;) language files (optional) - 1,033 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;vim/"/></para>
+</listitem>
+</varlistentry>
+
+<varlistentry>
+<term>Zlib (&zlib-version;) - 277 KB:</term>
+<listitem>
+<para><ulink url="&freshmeat;zlib/"/></para>
+</listitem>
+</varlistentry>
+
+</variablelist>
+
+<para>Total size of these packages: 135 MB</para>
 
 </sect1>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision b09cc8e88e20501ba49cb680346138016488b6f0)
+++ chapter03/patches.xml	(revision 2256873ba15ddcf930149aa7f48bba38802b0b48)
@@ -26,5 +26,6 @@
 <term>Coreutils Suppress Uptime, Kill, Su Patch - 16 KB:</term>
 <listitem>
-<para><ulink url="&patches-root;coreutils-&coreutils-version;-suppress_uptime_kill_su-1.patch"/></para>
+<para condition="html"><ulink url="&patches-root;coreutils-&coreutils-version;-suppress_uptime_kill_su-1.patch"/></para>
+<para condition="pdf"><ulink url="&patches-root;coreutils-&coreutils-version;-suppress_uptime_ kill_su-1.patch"/></para>
 </listitem>
 </varlistentry>
@@ -75,5 +76,6 @@
 <term>Inetutils Kernel Headers Patch - 1 KB:</term>
 <listitem>
-<para><ulink url="&patches-root;inetutils-&inetutils-version;-kernel_headers-1.patch"/></para>
+<para condition="html"><ulink url="&patches-root;inetutils-&inetutils-version;-kernel_headers-1.patch"/></para>
+<para condition="pdf"><ulink url="&patches-root;inetutils-&inetutils-version;-kernel_headers- 1.patch"/></para>
 </listitem>
 </varlistentry>
@@ -82,5 +84,6 @@
 <term>Inetutils No-Server-Man-Pages Patch - 4 KB:</term>
 <listitem>
-<para><ulink url="&patches-root;inetutils-&inetutils-version;-no_server_man_pages-1.patch"/></para>
+<para condition="html"><ulink url="&patches-root;inetutils-&inetutils-version;-no_server_man_pages-1.patch"/></para>
+<para condition="pdf"><ulink url="&patches-root;inetutils-&inetutils-version;-no_server_man_ pages-1.patch"/></para>
 <beginpage/>
 </listitem>
@@ -90,5 +93,6 @@
 <term>IPRoute2 Disable DB Patch - 1 KB:</term>
 <listitem>
-<para><ulink url="&patches-root;iproute2-&iproute2-patch-version;-remove_db-1.patch"/></para>
+<para condition="html"><ulink url="&patches-root;iproute2-&iproute2-patch-version;-remove_db-1.patch"/></para>
+<para condition="pdf"><ulink url="&patches-root;iproute2-&iproute2-patch-version;-remove_ db-1.patch"/></para>
 </listitem>
 </varlistentry>
@@ -125,5 +129,6 @@
 <term>Sysklogd Kernel Headers Patch - 3 KB:</term>
 <listitem>
-<para><ulink url="&patches-root;sysklogd-&sysklogd-version;-kernel_headers-1.patch"/></para>
+<para condition="html"><ulink url="&patches-root;sysklogd-&sysklogd-version;-kernel_headers-1.patch"/></para>
+<para condition="pdf"><ulink url="&patches-root;sysklogd-&sysklogd-version;-kernel_headers- 1.patch"/></para>
 </listitem>
 </varlistentry>