Index: general.ent
===================================================================
--- general.ent	(revision 004616a9e7c3e1e8d105f3451e5df11d9c8d51bb)
+++ general.ent	(revision 3439119b5bcdf60131b20817ce62b15b9e9ae66e)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!ENTITY version "SVN-20060512">
-<!ENTITY releasedate "May 12, 2006">
+<!ENTITY version "SVN-20060514">
+<!ENTITY releasedate "May 14, 2006">
 <!ENTITY milestone "6.2">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
@@ -27,124 +27,7 @@
 <!ENTITY sourceforge "http://prdownloads.sourceforge.net/">
 
+<!ENTITY % packages-entities SYSTEM "packages.ent">
+%packages-entities;
+
 <!ENTITY % patches-entities SYSTEM "patches.ent">
 %patches-entities;
-
-<!ENTITY autoconf-version "2.59">
-<!ENTITY autoconf-md5 "1ee40f7a676b3cfdc0e3f7cd81551b5f">
-<!ENTITY automake-version "1.9.6">
-<!ENTITY automake-md5 "c11b8100bb311492d8220378fd8bf9e0">
-<!ENTITY bash-version "3.1">
-<!ENTITY bash-md5 "ef5304c4b22aaa5088972c792ed45d72">
-<!ENTITY bash-doc-version "3.1">
-<!ENTITY bash-doc-md5 "a8c517c6a7b21b8b855190399c5935ae">
-<!ENTITY binutils-version "2.16.1">
-<!ENTITY binutils-md5 "6a9d529efb285071dad10e1f3d2b2967">
-<!ENTITY bison-version "2.1">
-<!ENTITY bison-md5 "b1468d49c1357aebcd1de6ef12cbf3e8">
-<!ENTITY bzip2-version "1.0.3">
-<!ENTITY bzip2-md5 "8a716bebecb6e647d2e8a29ea5d8447f">
-<!ENTITY coreutils-version "5.94">
-<!ENTITY coreutils-md5 "11985c8345371546da8ff13f7efae359">
-<!ENTITY db-version "4.4.20">
-<!ENTITY db-md5 "d84dff288a19186b136b0daf7067ade3">
-<!ENTITY dejagnu-version "1.4.4">
-<!ENTITY dejagnu-md5 "053f18fd5d00873de365413cab17a666">
-<!ENTITY diffutils-version "2.8.1">
-<!ENTITY diffutils-md5 "71f9c5ae19b60608f6c7f162da86a428">
-<!ENTITY e2fsprogs-version "1.38">
-<!ENTITY e2fsprogs-md5 "d774d4412bfb80d12cf3a4fdfd59de5a">
-<!ENTITY expect-version "5.43.0">
-<!ENTITY expect-md5 "43e1dc0e0bc9492cf2e1a6f59f276bc3">
-<!ENTITY expect-lib-version "5.43">
-<!ENTITY file-version "4.17">
-<!ENTITY file-md5 "50919c65e0181423d66bb25d7fe7b0fd">
-<!ENTITY findutils-version "4.2.27">
-<!ENTITY findutils-md5 "f1e0ddf09f28f8102ff3b90f3b5bc920">
-<!ENTITY flex-version "2.5.33">
-<!ENTITY flex-md5 "343374a00b38d9e39d1158b71af37150">
-<!ENTITY gawk-version "3.1.5">
-<!ENTITY gawk-md5 "5703f72d0eea1d463f735aad8222655f">
-<!ENTITY gcc-version "4.0.3">
-<!ENTITY gcc-md5 "6ff1af12c53cbb3f79b27f2d6a9a3d50">
-<!ENTITY gettext-version "0.14.5">
-<!ENTITY gettext-md5 "e2f6581626a22a0de66dce1d81d00de3">
-<!ENTITY glibc-version "2.3.6">
-<!ENTITY glibc-md5 "bfdce99f82d6dbcb64b7f11c05d6bc96">
-<!ENTITY glibc-libidn-md5 "49dbe06ce830fc73874d6b38bdc5b4db">
-<!ENTITY grep-version "2.5.1a">
-<!ENTITY grep-md5 "52202fe462770fa6be1bb667bd6cf30c">
-<!ENTITY groff-version "1.18.1.1">
-<!ENTITY groff-md5 "511dbd64b67548c99805f1521f82cc5e">
-<!ENTITY grub-version "0.97">
-<!ENTITY grub-md5 "cd3f3eb54446be6003156158d51f4884">
-<!ENTITY gzip-version "1.3.5">
-<!ENTITY gzip-md5 "3d6c191dfd2bf307014b421c12dc8469">
-<!ENTITY iana-etc-version "2.10">
-<!ENTITY iana-etc-md5 "53dea53262b281322143c744ca60ffbb">
-<!ENTITY inetutils-version "1.4.2">
-<!ENTITY inetutils-md5 "df0909a586ddac2b7a0d62795eea4206">
-<!ENTITY iproute2-version "2.6.16-060323">
-<!ENTITY iproute2-md5 "f31d4516b35bbfeaa72c762f5959e97c">
-<!ENTITY kbd-version "1.12">
-<!ENTITY kbd-md5 "069d1175b4891343b107a8ac2b4a39f6">
-<!ENTITY less-version "394">
-<!ENTITY less-md5 "a9f072ccefa0d315b325f3e9cdbd4b97">
-<!ENTITY lfs-bootscripts-version "20060417">
-<!ENTITY lfs-bootscripts-md5 "71245258e1ee0a69c231b87d92530a36">
-<!ENTITY libtool-version "1.5.22">
-<!ENTITY libtool-md5 "8e0ac9797b62ba4dcc8a2fb7936412b0">
-<!ENTITY linux-version "2.6.16.16">
-<!ENTITY linux-md5 "dfb066db24a8a9b36358fb290cb06959">
-<!ENTITY linux-dl-version "2.6">
-<!ENTITY linux-libc-headers-version "2.6.12.0">
-<!ENTITY linux-libc-headers-md5 "eae2f562afe224ad50f65a6acfb4252c">
-<!ENTITY m4-version "1.4.4">
-<!ENTITY m4-md5 "8d1d64dbecf1494690a0f3ba8db4482a">
-<!ENTITY make-version "3.80">
-<!ENTITY make-md5 "0bbd1df101bc0294d440471e50feca71">
-<!ENTITY man-db-version "2.4.3">
-<!ENTITY man-db-md5 "30814a47f209f43b152659ba51fc7937">
-<!ENTITY man-pages-version "2.31">
-<!ENTITY man-pages-md5 "2731f0baea4f24793375358d6cd56173">
-<!ENTITY mktemp-version "1.5">
-<!ENTITY mktemp-md5 "9a35c59502a228c6ce2be025fc6e3ff2">
-<!ENTITY module-init-tools-version "3.2.2">
-<!ENTITY module-init-tools-md5 "a1ad0a09d3231673f70d631f3f5040e9">
-<!ENTITY ncurses-version "5.5">
-<!ENTITY ncurses-md5 "e73c1ac10b4bfc46db43b2ddfd6244ef">
-<!-- <!ENTITY ncurses-date "20050319"> -->
-<!ENTITY patch-version "2.5.4">
-<!ENTITY patch-md5 "ee5ae84d115f051d87fcaaef3b4ae782">
-<!ENTITY perl-version "5.8.8">
-<!ENTITY perl-md5 "a377c0c67ab43fd96eeec29ce19e8382">
-<!ENTITY procps-version "3.2.6">
-<!ENTITY procps-md5 "7ce39ea27d7b3da0e8ad74dd41d06783">
-<!ENTITY psmisc-version "22.2">
-<!ENTITY psmisc-md5 "77737c817a40ef2c160a7194b5b64337">
-<!ENTITY readline-version "5.1">
-<!ENTITY readline-md5 "7ee5a692db88b30ca48927a13fd60e46">
-<!ENTITY sed-version "4.1.5">
-<!ENTITY sed-md5 "7a1cbbbb3341287308e140bd4834c3ba">
-<!ENTITY shadow-version "4.0.15">
-<!ENTITY shadow-md5 "a0452fa989f8ba45023cc5a08136568e">
-<!ENTITY sysklogd-version "1.4.1">
-<!ENTITY sysklogd-md5 "d214aa40beabf7bdb0c9b3c64432c774">
-<!ENTITY sysvinit-version "2.86">
-<!ENTITY sysvinit-md5 "7d5d61c026122ab791ac04c8a84db967">
-<!ENTITY tar-version "1.15.1">
-<!ENTITY tar-md5 "57da3c38f8e06589699548a34d5a5d07">
-<!ENTITY tcl-version "8.4.13">
-<!ENTITY tcl-md5 "c6b655ad5db095ee73227113220c0523">
-<!ENTITY texinfo-version "4.8">
-<!ENTITY texinfo-md5 "6ba369bbfe4afaa56122e65b3ee3a68c">
-<!ENTITY udev-version "091">
-<!ENTITY udev-md5 "4151022ea7b4dcfaa768c1b7bf2ab9e5">
-<!ENTITY udev-config "udev-config-20060430">
-<!ENTITY udev-config-md5 "757a3aa05873be2ebb3f785230833656">
-<!ENTITY util-linux-version "2.12r">
-<!ENTITY util-linux-md5 "af9d9e03038481fbf79ea3ac33f116f9">
-<!ENTITY vim-version "6.4">
-<!ENTITY vim-md5 "774c14d93ce58674b3b2c880edd12d77">
-<!ENTITY vim-lang-md5 "3cca6128fe5439e89d3828b5e708bddb">
-<!ENTITY zlib-version "1.2.3">
-<!ENTITY zlib-md5 "debc62758716a169df9f62e6ab2bc634">
Index: packages.ent
===================================================================
--- packages.ent	(revision 3439119b5bcdf60131b20817ce62b15b9e9ae66e)
+++ packages.ent	(revision 3439119b5bcdf60131b20817ce62b15b9e9ae66e)
@@ -0,0 +1,125 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<!-- Note: For empty *-home entities use " " not "" -->
+
+
+<!ENTITY autoconf-version "2.59">
+<!ENTITY autoconf-md5 "1ee40f7a676b3cfdc0e3f7cd81551b5f">
+<!ENTITY automake-version "1.9.6">
+<!ENTITY automake-md5 "c11b8100bb311492d8220378fd8bf9e0">
+<!ENTITY bash-version "3.1">
+<!ENTITY bash-md5 "ef5304c4b22aaa5088972c792ed45d72">
+<!ENTITY bash-doc-version "3.1">
+<!ENTITY bash-doc-md5 "a8c517c6a7b21b8b855190399c5935ae">
+<!ENTITY binutils-version "2.16.1">
+<!ENTITY binutils-md5 "6a9d529efb285071dad10e1f3d2b2967">
+<!ENTITY bison-version "2.1">
+<!ENTITY bison-md5 "b1468d49c1357aebcd1de6ef12cbf3e8">
+<!ENTITY bzip2-version "1.0.3">
+<!ENTITY bzip2-md5 "8a716bebecb6e647d2e8a29ea5d8447f">
+<!ENTITY coreutils-version "5.94">
+<!ENTITY coreutils-md5 "11985c8345371546da8ff13f7efae359">
+<!ENTITY db-version "4.4.20">
+<!ENTITY db-md5 "d84dff288a19186b136b0daf7067ade3">
+<!ENTITY dejagnu-version "1.4.4">
+<!ENTITY dejagnu-md5 "053f18fd5d00873de365413cab17a666">
+<!ENTITY diffutils-version "2.8.1">
+<!ENTITY diffutils-md5 "71f9c5ae19b60608f6c7f162da86a428">
+<!ENTITY e2fsprogs-version "1.38">
+<!ENTITY e2fsprogs-md5 "d774d4412bfb80d12cf3a4fdfd59de5a">
+<!ENTITY expect-version "5.43.0">
+<!ENTITY expect-md5 "43e1dc0e0bc9492cf2e1a6f59f276bc3">
+<!ENTITY expect-lib-version "5.43">
+<!ENTITY file-version "4.17">
+<!ENTITY file-md5 "50919c65e0181423d66bb25d7fe7b0fd">
+<!ENTITY findutils-version "4.2.27">
+<!ENTITY findutils-md5 "f1e0ddf09f28f8102ff3b90f3b5bc920">
+<!ENTITY flex-version "2.5.33">
+<!ENTITY flex-md5 "343374a00b38d9e39d1158b71af37150">
+<!ENTITY gawk-version "3.1.5">
+<!ENTITY gawk-md5 "5703f72d0eea1d463f735aad8222655f">
+<!ENTITY gcc-version "4.0.3">
+<!ENTITY gcc-md5 "6ff1af12c53cbb3f79b27f2d6a9a3d50">
+<!ENTITY gettext-version "0.14.5">
+<!ENTITY gettext-md5 "e2f6581626a22a0de66dce1d81d00de3">
+<!ENTITY glibc-version "2.3.6">
+<!ENTITY glibc-md5 "bfdce99f82d6dbcb64b7f11c05d6bc96">
+<!ENTITY glibc-libidn-md5 "49dbe06ce830fc73874d6b38bdc5b4db">
+<!ENTITY grep-version "2.5.1a">
+<!ENTITY grep-md5 "52202fe462770fa6be1bb667bd6cf30c">
+<!ENTITY groff-version "1.18.1.1">
+<!ENTITY groff-md5 "511dbd64b67548c99805f1521f82cc5e">
+<!ENTITY grub-version "0.97">
+<!ENTITY grub-md5 "cd3f3eb54446be6003156158d51f4884">
+<!ENTITY gzip-version "1.3.5">
+<!ENTITY gzip-md5 "3d6c191dfd2bf307014b421c12dc8469">
+<!ENTITY iana-etc-version "2.10">
+<!ENTITY iana-etc-md5 "53dea53262b281322143c744ca60ffbb">
+<!ENTITY inetutils-version "1.4.2">
+<!ENTITY inetutils-md5 "df0909a586ddac2b7a0d62795eea4206">
+<!ENTITY iproute2-version "2.6.16-060323">
+<!ENTITY iproute2-md5 "f31d4516b35bbfeaa72c762f5959e97c">
+<!ENTITY kbd-version "1.12">
+<!ENTITY kbd-md5 "069d1175b4891343b107a8ac2b4a39f6">
+<!ENTITY less-version "394">
+<!ENTITY less-md5 "a9f072ccefa0d315b325f3e9cdbd4b97">
+<!ENTITY lfs-bootscripts-version "20060417">
+<!ENTITY lfs-bootscripts-md5 "71245258e1ee0a69c231b87d92530a36">
+<!ENTITY libtool-version "1.5.22">
+<!ENTITY libtool-md5 "8e0ac9797b62ba4dcc8a2fb7936412b0">
+<!ENTITY linux-version "2.6.16.16">
+<!ENTITY linux-md5 "dfb066db24a8a9b36358fb290cb06959">
+<!ENTITY linux-dl-version "2.6">
+<!ENTITY linux-libc-headers-version "2.6.12.0">
+<!ENTITY linux-libc-headers-md5 "eae2f562afe224ad50f65a6acfb4252c">
+<!ENTITY m4-version "1.4.4">
+<!ENTITY m4-md5 "8d1d64dbecf1494690a0f3ba8db4482a">
+<!ENTITY make-version "3.80">
+<!ENTITY make-md5 "0bbd1df101bc0294d440471e50feca71">
+<!ENTITY man-db-version "2.4.3">
+<!ENTITY man-db-md5 "30814a47f209f43b152659ba51fc7937">
+<!ENTITY man-pages-version "2.31">
+<!ENTITY man-pages-md5 "2731f0baea4f24793375358d6cd56173">
+<!ENTITY mktemp-version "1.5">
+<!ENTITY mktemp-md5 "9a35c59502a228c6ce2be025fc6e3ff2">
+<!ENTITY module-init-tools-version "3.2.2">
+<!ENTITY module-init-tools-md5 "a1ad0a09d3231673f70d631f3f5040e9">
+<!ENTITY ncurses-version "5.5">
+<!ENTITY ncurses-md5 "e73c1ac10b4bfc46db43b2ddfd6244ef">
+<!-- <!ENTITY ncurses-date "20050319"> -->
+<!ENTITY patch-version "2.5.4">
+<!ENTITY patch-md5 "ee5ae84d115f051d87fcaaef3b4ae782">
+<!ENTITY perl-version "5.8.8">
+<!ENTITY perl-md5 "a377c0c67ab43fd96eeec29ce19e8382">
+<!ENTITY procps-version "3.2.6">
+<!ENTITY procps-md5 "7ce39ea27d7b3da0e8ad74dd41d06783">
+<!ENTITY psmisc-version "22.2">
+<!ENTITY psmisc-md5 "77737c817a40ef2c160a7194b5b64337">
+<!ENTITY readline-version "5.1">
+<!ENTITY readline-md5 "7ee5a692db88b30ca48927a13fd60e46">
+<!ENTITY sed-version "4.1.5">
+<!ENTITY sed-md5 "7a1cbbbb3341287308e140bd4834c3ba">
+<!ENTITY shadow-version "4.0.15">
+<!ENTITY shadow-md5 "a0452fa989f8ba45023cc5a08136568e">
+<!ENTITY sysklogd-version "1.4.1">
+<!ENTITY sysklogd-md5 "d214aa40beabf7bdb0c9b3c64432c774">
+<!ENTITY sysvinit-version "2.86">
+<!ENTITY sysvinit-md5 "7d5d61c026122ab791ac04c8a84db967">
+<!ENTITY tar-version "1.15.1">
+<!ENTITY tar-md5 "57da3c38f8e06589699548a34d5a5d07">
+<!ENTITY tcl-version "8.4.13">
+<!ENTITY tcl-md5 "c6b655ad5db095ee73227113220c0523">
+<!ENTITY texinfo-version "4.8">
+<!ENTITY texinfo-md5 "6ba369bbfe4afaa56122e65b3ee3a68c">
+<!ENTITY udev-version "091">
+<!ENTITY udev-md5 "4151022ea7b4dcfaa768c1b7bf2ab9e5">
+<!ENTITY udev-config "udev-config-20060430">
+<!ENTITY udev-config-md5 "757a3aa05873be2ebb3f785230833656">
+<!ENTITY util-linux-version "2.12r">
+<!ENTITY util-linux-md5 "af9d9e03038481fbf79ea3ac33f116f9">
+<!ENTITY vim-version "6.4">
+<!ENTITY vim-md5 "774c14d93ce58674b3b2c880edd12d77">
+<!ENTITY vim-lang-md5 "3cca6128fe5439e89d3828b5e708bddb">
+<!ENTITY zlib-version "1.2.3">
+<!ENTITY zlib-md5 "debc62758716a169df9f62e6ab2bc634">
+