Index: bootscripts/Makefile
===================================================================
--- bootscripts/Makefile	(revision f836989a54c3eb68b7b5f39d26f5b0f4ea76774b)
+++ bootscripts/Makefile	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -11,4 +11,16 @@
 
 install: all
+
+install-s6: s6-files
+
+s6-dirs:
+	install -d -m ${DIRMODE}  ${ETCDIR}/s6-rc/services
+
+s6-files: s6-dirs
+	cp -a s6/services/mount-virtfs    ${ETCDIR}/s6-rc/services/
+	  cp -a s6/services/mount-procfs  ${ETCDIR}/s6-rc/services/
+	  cp -a s6/services/mount-sysfs   ${ETCDIR}/s6-rc/services/
+	cp -a s6/services/hostname        ${ETCDIR}/s6-rc/services/
+	cp -a s6/services/default         ${ETCDIR}/s6-rc/services/
 
 create-dirs:
@@ -129,4 +141,4 @@
           ${ETCDIR}/sysconfig/rc
 
-.PHONY: all create-dirs install files links rcS rc0 rc1 rc2 rc3 rc4 rc5 rc6 uninstall
+.PHONY: all create-dirs install files links rcS rc0 rc1 rc2 rc3 rc4 rc5 rc6 uninstall install-s6
 
Index: bootscripts/s6/services/default/type
===================================================================
--- bootscripts/s6/services/default/type	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
+++ bootscripts/s6/services/default/type	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -0,0 +1,1 @@
+bundle
Index: bootscripts/s6/services/hostname/up
===================================================================
--- bootscripts/s6/services/hostname/up	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
+++ bootscripts/s6/services/hostname/up	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -0,0 +1,1 @@
+backtick -En hostname { cat /etc/hostname } s6-hostname $hostname
Index: bootscripts/s6/services/mount-procfs/type
===================================================================
--- bootscripts/s6/services/mount-procfs/type	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
+++ bootscripts/s6/services/mount-procfs/type	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -0,0 +1,1 @@
+oneshot
Index: bootscripts/s6/services/mount-procfs/up
===================================================================
--- bootscripts/s6/services/mount-procfs/up	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
+++ bootscripts/s6/services/mount-procfs/up	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -0,0 +1,1 @@
+s6-mount -wt proc proc /proc
Index: bootscripts/s6/services/mount-sysfs/type
===================================================================
--- bootscripts/s6/services/mount-sysfs/type	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
+++ bootscripts/s6/services/mount-sysfs/type	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -0,0 +1,1 @@
+oneshot
Index: bootscripts/s6/services/mount-sysfs/up
===================================================================
--- bootscripts/s6/services/mount-sysfs/up	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
+++ bootscripts/s6/services/mount-sysfs/up	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -0,0 +1,1 @@
+s6-mount -wt sysfs sys /sys
Index: bootscripts/s6/services/mount-virtfs/type
===================================================================
--- bootscripts/s6/services/mount-virtfs/type	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
+++ bootscripts/s6/services/mount-virtfs/type	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -0,0 +1,1 @@
+bundle
Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision f836989a54c3eb68b7b5f39d26f5b0f4ea76774b)
+++ chapter03/packages.xml	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -184,5 +184,5 @@
 
     <varlistentry revision="s6">
-      <term>execline (&execline-version;) - <token>&execline-size;</token>:</term>
+      <term>Execline (&execline-version;) - <token>&execline-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&execline-home;"/></para>
@@ -410,5 +410,5 @@
     </varlistentry>
 
-    <varlistentry revision="sysv">
+    <varlistentry revision="sysv,s6">
       <term>LFS-Bootscripts (&lfs-bootscripts-version;) - <token>&lfs-bootscripts-size;</token>:</term>
       <listitem>
@@ -667,5 +667,5 @@
 
     <varlistentry revision="s6">
-      <term>skalibs (&skalibs-version;) - <token>&skalibs-size;</token>:</term>
+      <term>Skalibs (&skalibs-version;) - <token>&skalibs-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&skalibs-home;"/></para>
@@ -699,4 +699,13 @@
         <para>Download: <ulink url="&s6-init-url;"/></para>
         <para>MD5 sum: <literal>&s6-init-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry revision="s6">
+      <term>S6-utils (&s6-utils-version;) - <token>&s6-utils-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&s6-utils-home;"/></para>
+        <para>Download: <ulink url="&s6-utils-url;"/></para>
+        <para>MD5 sum: <literal>&s6-utils-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: chapter09/bootscripts6.xml
===================================================================
--- chapter09/bootscripts6.xml	(revision f836989a54c3eb68b7b5f39d26f5b0f4ea76774b)
+++ chapter09/bootscripts6.xml	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -46,5 +46,5 @@
     <para>Install the package:</para>
 
-<screen><userinput remap="install">make install</userinput></screen>
+<screen><userinput remap="install">make install-s6</userinput></screen>
 
   </sect2>
Index: chapter09/usage6.xml
===================================================================
--- chapter09/usage6.xml	(revision f836989a54c3eb68b7b5f39d26f5b0f4ea76774b)
+++ chapter09/usage6.xml	(revision 5497725be02fba896c5a648880b9b2312c25a00c)
@@ -103,10 +103,10 @@
 
 <screen><userinput>s6-linux-init-maker -1 -G "/sbin/agetty -J 38400 tty1" $tmpdir
-mv $tmpdir /etc/etc/s6-linux-init/current
+mv $tmpdir /etc/s6-linux-init/current
 </userinput></screen>  
 
     <para>Install the essential programs in the file system:</para>
 
-<screen><userinput>cp -av /etc/etc/s6-linux-init/current/bin/* /sbin/</userinput></screen>  
+<screen><userinput>cp -av /etc/s6-linux-init/current/bin/* /sbin/</userinput></screen>  
 
   </sect2>