Index: chapter05/introduction.xml
===================================================================
--- chapter05/introduction.xml	(revision f64f4b557a66c49861e9f7b78f674da0a1226508)
+++ chapter05/introduction.xml	(revision 5756284c7ee95ed92acd0d5555f3260e6e6d29ea)
@@ -3,40 +3,34 @@
 <?dbhtml filename="introduction.html" dir="chapter05"?>
 
-<para>In the following chapters we will install all the software that belongs 
-to a basic Linux system. After you're done with this and the next chapter,
-you'll have a fully working Linux system. The remaining chapters deal 
-with creating the boot scripts, making the LFS system bootable and
-setting up basic networking.</para>
+<para>In this chapter we will compile and install a minimal
+Linux system. This system will contain just enough tools to be able
+to start constructing the final LFS system in the next chapter.</para>
 
-<para>The software in this chapter will be linked statically and will be 
-reinstalled in the next chapter and linked dynamically. The
-reason for the static version first is that there is a chance that our
-normal Linux system and the LFS system aren't using the same C
-Library versions. If the programs in the first part are linked against
-an older C library version, those programs might not work well on the
-LFS system. Another reason is to resolve circular dependencies. An
-example of such a dependency is that you need a compiler to install a
-compiler, and you're going to need a shell to install a shell and that
-compiler.</para>
+<para>The software in this chapter will be linked statically, because
+there is a possibility that your host Linux system uses a different
+version of the C library than the version you downloaded for
+use in your LFS system. If we were to link the programs in this
+chapter against that older C library, these programs might work
+incorrectly, or not at all, when we change to the LFS system.</para>
 
-<para>All the files from this chapter will be installed under the <filename
-class="directory">$LFS/static</filename> directory. By doing it this way,
-we keep the installation from this chapter separate from the final
-installation in the next chapter. Everything done here is only temporarily
-so we don't want it to pollute the to-be LFS system.</para>
+<para>The files compiled in this chapter will be installed under the
+<filename class="directory">$LFS/static</filename> directory,
+to keep them separate from the files installed in the next chapter.
+As everything done here is only temporarily, we don't want
+these files to pollute the to-be LFS system.</para>
 
-<para>The key to learning what makes Linux tick is to know exactly what packages
-are used for and why a user or the system needs them. Descriptions
-of the package content are provided after the Installation subsection of each
-package and in Appendix A as well.</para>
+<para>The key to learning what makes a Linux system work is to know
+exactly what each package is used for, and why the user or the system
+needs it. For this purpose a short description of the content of each
+package is given right after the installation instructions.</para>
 
-<para>During the installation of various packages, you will more than likely see
-all kinds of compiler warnings scrolling by on the screen. These are 
-normal and can be safely ignored. They are just that, warnings (mostly 
-about improper use of the C or C++ syntax, but not illegal use. It's just 
-that, often, C standards changed and packages still use the old standard 
-which is not a problem).</para>
+<para>During the installation of several packages you will probably
+see all kinds of compiler warnings scroll by on your screen. These are
+normal and can be safely ignored. They are just what they say they are:
+warnings -- mostly about improper, but not illegal, use of the C or C++
+syntax. It's just that C standards have changed rather often and some
+packages still use the older standard, which is not really a problem.</para>
 
-<para>Before we start, make sure the LFS environment variable is set up
+<para>Before you start, make sure the LFS environment variable is set up
 properly if you decided to make use of it. Run the following:</para>
 