Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 22c4f872869ccd36002f56b84548f04eca0096ba)
+++ chapter01/changelog.xml	(revision 5897639a63b476759f18df9496b5d8d8844372fc)
@@ -44,4 +44,19 @@
 -->
     <listitem>
+      <para>2017-05-03</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Fix a problem with glibc tests and 
+          add some explanations to the configure options.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Add a command to touch /root/.vimrc
+          so that the default vim options don't override those
+          in /etc/vimrc.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2017-05-01</para>
       <itemizedlist>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 22c4f872869ccd36002f56b84548f04eca0096ba)
+++ chapter06/glibc.xml	(revision 5897639a63b476759f18df9496b5d8d8844372fc)
@@ -79,4 +79,5 @@
 
 <screen><userinput remap="configure">../configure --prefix=/usr                   \
+             --disable-werror                \
              --enable-kernel=&min-kernel;          \
              --enable-obsolete-rpc           \
@@ -84,4 +85,43 @@
              libc_cv_slibdir=/lib</userinput></screen>
 
+   <variablelist>
+      <title>The meaning of the new configure options:</title>
+
+      <varlistentry>
+        <term><parameter>--disable-werror</parameter></term>
+        <listitem>
+          <para>This option disables the -Werror option passed to 
+          GCC.  This is necessary for running the test suite.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--enable-obsolete-rpc</parameter></term>
+        <listitem>
+          <para>This option builds older RPC code for use with
+          network file system utilities (nfs).</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--enable-stack-protector=strong</parameter></term>
+        <listitem>
+          <para>This option increases system security by adding  a known canary
+          (a random integer) to the stack during a function preamble, and checks
+          it when the function returns. If it changed, there was a stack
+          overflow, and the program aborts.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>libc_cv_slibdir=/lib</parameter></term>
+        <listitem>
+          <para>This variable sets the correct library for all
+          systems.  We do not want lib64 to be used.</para>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
     <para>Compile the package:</para>
 
@@ -98,15 +138,14 @@
 <screen><userinput remap="test">make check</userinput></screen>
 
-    <para>You will probably see some test failures.  The Glibc test suite is
+    <para>You may see some test failures.  The Glibc test suite is
     somewhat dependent on the host system.  This is a list of the most common
-    issues seen for this version of LFS:</para>
+    issues seen for some versions of LFS:</para>
 
     <itemizedlist>
 
       <listitem>
-        <para><emphasis>posix/tst-getaddrinfo4</emphasis> will always fail due
-        to not having the necessary networking applications when the tests are
-        run.  <emphasis>posix/tst-getaddrinfo5</emphasis> is also known
-        to fail on some architectures.</para>
+        <para><emphasis>posix/tst-getaddrinfo4</emphasis> and
+        <emphasis>posix/tst-getaddrinfo5</emphasis>
+        may fail on some architectures.</para>
       </listitem>
 
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision 22c4f872869ccd36002f56b84548f04eca0096ba)
+++ chapter06/vim.xml	(revision 5897639a63b476759f18df9496b5d8d8844372fc)
@@ -129,5 +129,7 @@
 
 " End /etc/vimrc</literal>
-EOF</userinput></screen>
+EOF
+
+touch ~/.vimrc</userinput></screen>
 
     <para>The <parameter>set nocompatible</parameter> setting makes
@@ -145,4 +147,8 @@
     black background of these programs.</para>
 
+    <para>Creating an empty <filename>~/.vimrc</filename> prevents vim from
+    overriding settings in <filename>/etc/vimrc</filename> by using
+    <filename>/usr/share/vim/vim80/defaults.vim</filename>.</para>
+
     <para>Documentation for other available options can be obtained by
     running the following command:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 22c4f872869ccd36002f56b84548f04eca0096ba)
+++ general.ent	(revision 5897639a63b476759f18df9496b5d8d8844372fc)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20170501">
+<!ENTITY version         "SVN-20170503">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20170501-systemd">
+<!ENTITY versiond        "20170503-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "May 1, 2017">
+<!ENTITY releasedate     "May 3, 2017">
 
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->