Index: chapter02/creatingfilesystem.xml
===================================================================
--- chapter02/creatingfilesystem.xml	(revision 3e18fa2e894b493ea90070ea2430eb7b93302423)
+++ chapter02/creatingfilesystem.xml	(revision 7610848c3a478ff0170592e7bf021bf2185cfd52)
@@ -53,40 +53,7 @@
 <screen role="nodump"><userinput>mkfs -v -t ext4 /dev/<replaceable>&lt;xxx&gt;</replaceable></userinput></screen>
 
-<!--
   <para>Replace <replaceable>&lt;xxx&gt;</replaceable> with the name of the LFS
-  partition (<filename class="devicefile">sda5</filename> in our previous
-  example).</para>
+  partition.</para>
 
-  <note>
-    <para>Some host distributions use custom features in their filesystem
-    creation tools (E2fsprogs). This can cause problems when booting into your new
-    LFS in Chapter&nbsp;9, as those features will not be supported by the LFS-installed
-    E2fsprogs; you will get an error similar to <quote>unsupported filesystem
-    features, upgrade your e2fsprogs</quote>. To check if your host system
-    uses custom enhancements, run the following command:</para>
-
-<screen role="nodump"><userinput>debugfs -R feature /dev/<replaceable>&lt;xxx&gt;</replaceable></userinput></screen>
-
-    <para>If the output contains features other than
-    <option>has_journal</option>, <option>ext_attr</option>,
-    <option>resize_inode</option>, <option>dir_index</option>,
-    <option>filetype</option>, <option>sparse_super</option>,
-    <option>large_file</option> or <option>needs_recovery</option>, then your
-    host system may have custom enhancements.  In that case, to avoid later
-    problems, you should compile the stock E2fsprogs package and use the
-    resulting binaries to re-create the filesystem on your LFS partition:</para>
-
-<screen role="nodump"><userinput>cd /tmp
-tar -xzvf /path/to/sources/e2fsprogs-&e2fsprogs-version;.tar.gz
-cd e2fsprogs-&e2fsprogs-version;
-mkdir -v build
-cd build
-../configure
-make #note that we intentionally don't 'make install' here!
-./misc/mke2fs -jv /dev/<replaceable>&lt;xxx&gt;</replaceable>
-cd /tmp
-rm -rfv e2fsprogs-&e2fsprogs-version;</userinput></screen>
-  </note>
--->
   <para>If you are using an existing <systemitem class="filesystem">swap
   </systemitem> partition, there is no need to format it. If a new
Index: chapter02/creatingpartition.xml
===================================================================
--- chapter02/creatingpartition.xml	(revision 3e18fa2e894b493ea90070ea2430eb7b93302423)
+++ chapter02/creatingpartition.xml	(revision 7610848c3a478ff0170592e7bf021bf2185cfd52)
@@ -15,19 +15,4 @@
   is to use an available empty partition or, if you have enough unpartitioned
   space, to create one.</para>
-
-<!--
-
-  <para>It is possible to install an LFS system (in fact even multiple LFS
-  systems) on a partition already occupied by another
-  operating system and the different systems will co-exist peacefully. The
-  document <ulink url="&hints-root;lfs_next_to_existing_systems.txt"/>
-  contains notes on how to implement this. This document was last updated
-  in 2004. It has not been updated since and it has not been tested with
-  recent versions of this LFS book. The document is more than likely not
-  usable as-is and you will need to account for changes made to the LFS
-  procedures since it was written. This is only recommended for expert LFS
-  users.</para>
-
--->
 
   <para>A minimal system requires a partition of around 10 gigabytes (GB).
@@ -78,5 +63,5 @@
 
   <para>Requests for advice on system partitioning are often posted on the LFS mailing
-  lists.  This is a highly subjective topic.  The default for most distributions
+  lists. This is a highly subjective topic.  The default for most distributions
   is to use the entire drive with the exception of one small swap partition.  This
   is not optimal for LFS for several reasons.  It reduces flexibility, makes
@@ -90,5 +75,5 @@
     <para>A root LFS partition (not to be confused with the
     <filename class="directory">/root</filename> directory) of
-    ten gigabytes is a good compromise for most systems.  It provides enough
+    twenty gigabytes is a good compromise for most systems.  It provides enough
     space to build LFS and most of BLFS, but is small enough so that multiple
     partitions can be easily created for experimentation.</para> </sect3>
@@ -103,11 +88,19 @@
     swapping.</para>
 
-    <para>Swapping is never good.  Generally you can tell if a system is
-    swapping by just listening to disk activity and observing how the system
-    reacts to commands.  The first reaction to swapping should be to check for
-    an unreasonable command such as trying to edit a five gigabyte file.  If
-    swapping becomes a normal occurrence, the best solution is to purchase more
-    RAM for your system.</para> 
-    </sect3>
+    <para>If you want to use the hibernation feature (suspend-to-disk) of Linux,
+    it writes out the contents of RAM to the swap partition before turning off 
+    the machine. In this case the size of the swap partition should be at
+    least as large as the system's installed RAM.</para>
+
+    <para>Swapping is never good. For mechanical hard drives you can generally
+    tell if a system is swapping by just listening to disk activity and
+    observing how the system reacts to commands.  For an SSD drive you will not
+    be able to hear swapping but you can tell how much swap space is being used
+    by the <command>top</command> or <command>free</command> programs.  Use of
+    an SSD drive for a swap partition should be avoided if possible.  The first
+    reaction to swapping should be to check for an unreasonable command such as
+    trying to edit a five gigabyte file. If swapping becomes a normal
+    occurrence, the best solution is to purchase more RAM for your
+    system.</para> </sect3>
 
     <sect3>
@@ -141,5 +134,5 @@
       store kernels and other booting information.  To minimize potential boot
       problems with larger disks, make this the first physical partition on
-      your first disk drive.  A partition size of 100 megabytes is quite
+      your first disk drive.  A partition size of 200 megabytes is quite
       adequate.</para></listitem>
 
@@ -151,5 +144,5 @@
       <listitem><para>/usr &ndash; A separate /usr partition is generally used
       if providing a server for a thin client or diskless workstation.  It is
-      normally not needed for LFS.  A size of five gigabytes will handle most
+      normally not needed for LFS.  A size of ten gigabytes will handle most
       installations.</para></listitem>
 
Index: chapter02/hostreqs.xml
===================================================================
--- chapter02/hostreqs.xml	(revision 3e18fa2e894b493ea90070ea2430eb7b93302423)
+++ chapter02/hostreqs.xml	(revision 7610848c3a478ff0170592e7bf021bf2185cfd52)
@@ -245,4 +245,5 @@
     [*] x32 ABI for 64-bit mode
 </screen>
+
     <para arch="ml_32,ml_x32,ml_all">The option 'IA32 a.out support' is
       optional. In case your kernel does not have 'x32 ABI for 64-bit mode'
@@ -252,5 +253,5 @@
       'x32 ABI for 64-bit mode' is enabled, you will run in errors 
       latest when building <application>glibc</application> in Chapter 6,
-      so an upgrade of your host system is required.
+      so an upgrade of your host system kernel is required.
     </para>
     
Index: chapter02/stages.xml
===================================================================
--- chapter02/stages.xml	(revision 3e18fa2e894b493ea90070ea2430eb7b93302423)
+++ chapter02/stages.xml	(revision 7610848c3a478ff0170592e7bf021bf2185cfd52)
@@ -26,7 +26,7 @@
     <itemizedlist>
       <listitem>
-         <para>Procedures done as the root user after Section 2.4 need to 
-         have the LFS environment variable set <emphasis>FOR THE ROOT
-         USER</emphasis>.</para>
+        <para>Procedures done as the root user after Section 2.4 need to 
+        have the LFS environment variable set <emphasis>FOR THE ROOT
+        USER</emphasis>.</para>
       </listitem>
     </itemizedlist>
@@ -34,5 +34,30 @@
   
   <sect2>
-  <title>Chapter&nbsp;5</title>
+  <title>Chapter&nbsp;5&ndash;6</title>
+
+    <itemizedlist>
+      <listitem>
+        <para>The /mnt/lfs partition must be mounted.</para>
+      </listitem>
+
+      <listitem>
+        <para>Threse two chapters must be done as user <emphasis>lfs</emphasis>.
+        A <command>su - lfs</command> needs to be done before any task in these
+        chapters. Failing to do that, you are at risk of installing packages to the
+        host, and potentially rendering it unusable.</para>
+      </listitem>
+
+      <listitem>
+         <para>The procedures in <xref linkend='ch-tools-generalinstructions'/>
+         are critical.  If there is any
+         doubt about installing a package, ensure any previously expanded
+         tarballs are removed, then re-extract the package files, and complete all
+         instructions in that section.</para>
+      </listitem>
+    </itemizedlist>
+  </sect2>
+
+  <sect2>
+  <title>Chapter&nbsp;7&ndash;10</title>
 
     <itemizedlist>
@@ -42,31 +67,12 @@
 
       <listitem>
-         <para><emphasis>ALL</emphasis> instructions in Chapter&nbsp;5 
-         must be done by user <emphasis>lfs</emphasis>.  
-         A  <command>su - lfs</command> needs to be done before any 
-         task in Chapter&nbsp;5.</para>
-      </listitem>
-
-      <listitem>
-         <para>The procedures in <xref linkend='ch-tools-generalinstructions'/>
-         are critical.  If there is any
-         doubt about installing a package, ensure any previously expanded
-         tarballs are removed, re-extract the package files, and complete all
-         instructions in that section.</para>
-      </listitem>
-    </itemizedlist>
-  </sect2>
-
-  <sect2>
-  <title>Chapters&nbsp;6&ndash;8</title>
-
-    <itemizedlist>
-      <listitem>
-         <para>The /mnt/lfs partition must be mounted.</para>
+        <para>A few operations, from <quote>Changing Ownership</quote> to
+        <quote>Entering the Chroot Environment</quote> must be done as the
+        root user, with the LFS envirnment variable set for the root user.</para>
       </listitem>
 
       <listitem>
          <para> When entering chroot, the LFS environment variable must be set
-         for root.  The LFS variable is not used otherwise.</para>
+         for root. The LFS variable is not used afterwards.</para>
       </listitem>
 
@@ -75,6 +81,6 @@
          before or after entering chroot by changing to a host virtual terminal
          and, as root, running the commands in 
-         <xref linkend='ch-system-bindmount'/> and 
-         <xref linkend='ch-system-kernfsmount'/>.</para>
+         <xref linkend='ch-tools-bindmount'/> and 
+         <xref linkend='ch-tools-kernfsmount'/>.</para>
       </listitem>
     </itemizedlist>