Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision a1a0a654fc41266e1a22be1b70f46549ff5da3ee)
+++ chapter01/changelog.xml	(revision 9278974d0936a25f87a6e40ee2f23542ef160f16)
@@ -40,4 +40,9 @@
       <para>May 27, 2006</para>
       <itemizedlist>
+        <listitem>
+          <para>[jhuntwork] - Remove the 'refer back's in the gcc-pass2 and
+          chapter06/gcc pages. Better organizes the commands and data so that
+	  the flow of the book is not lost.</para>
+        </listitem>
         <listitem>
           <para>[jhuntwork] - Add a note about installing spell files for
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision a1a0a654fc41266e1a22be1b70f46549ff5da3ee)
+++ chapter05/gcc-pass2.xml	(revision 9278974d0936a25f87a6e40ee2f23542ef160f16)
@@ -191,21 +191,8 @@
     through to completion and not stop at the first failure. The GCC test
     suite is very comprehensive and is almost guaranteed to generate a few
-    failures. To receive a summary of the test suite results, run:</para>
-
-<screen><userinput>../gcc-&gcc-version;/contrib/test_summary</userinput></screen>
-
-    <para>For only the summaries, pipe the output through
-    <userinput>grep -A7 Summ</userinput>.</para>
-
-    <para>Results can be compared with those located at <ulink
-    url="&test-results;"/>.</para>
-
-    <para>A few unexpected failures cannot always be avoided. The GCC developers
-    are usually aware of these issues, but have not resolved them yet. In
-    particular, the <filename class="libraryfile">libmudflap</filename> tests
-    are known be particularly problematic as a result of a bug in GCC
-    (<ulink url="http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20003"/>).
-    Unless the test results are vastly different from those at the above URL,
-    it is safe to continue.</para>
+    failures.</para>
+
+    <para>For a discussion of test failures that are of particular
+    importance, please see <xref linkend="ch-system-gcc" role="."/></para>
 
     <para>Install the package:</para>
@@ -213,11 +200,7 @@
 <screen><userinput>make install</userinput></screen>
 
-    <note>
-      <para>At this point it is strongly recommended to repeat the sanity
-      check we performed earlier in this chapter. Refer back to <xref
-      linkend="ch-tools-adjusting" role=","/> and repeat the test compilation.
-      If the result is wrong, the most likely reason is that the GCC Specs
-      patch was not properly applied.</para>
-    </note>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="adjusting.xml"
+    xpointer="xpointer(/sect1/caution[1])"/>
 
   </sect2>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision a1a0a654fc41266e1a22be1b70f46549ff5da3ee)
+++ chapter06/gcc.xml	(revision 9278974d0936a25f87a6e40ee2f23542ef160f16)
@@ -93,8 +93,21 @@
 <screen><userinput>make -k check</userinput></screen>
 
-    <para>Some of the errors are known issues and were noted in the
-    previous chapter. The test suite notes from <xref
-    linkend="ch-tools-gcc-pass2" role=","/> are still relevant here. Be sure to
-    refer back to them as necessary.</para>
+    <para>To receive a summary of the test suite results, run:</para>
+
+<screen><userinput>../gcc-&gcc-version;/contrib/test_summary</userinput></screen>
+
+    <para>For only the summaries, pipe the output through
+    <userinput>grep -A7 Summ</userinput>.</para>
+
+    <para>Results can be compared with those located at <ulink
+    url="&test-results;"/>.</para>
+
+    <para>A few unexpected failures cannot always be avoided. The GCC developers
+    are usually aware of these issues, but have not resolved them yet. In
+    particular, the <filename class="libraryfile">libmudflap</filename> tests
+    are known be particularly problematic as a result of a bug in GCC
+    (<ulink url="http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20003"/>).
+    Unless the test results are vastly different from those at the above URL,
+    it is safe to continue.</para>
 
     <para>Install the package:</para>