Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 0ebc87489eeab6a3ff481446c66615a12ff7c147)
+++ chapter01/changelog.xml	(revision 9324285d9d1e7eee2506bd415da1e108280e0a00)
@@ -44,4 +44,34 @@
        -->
     <listitem>
+      <para>2020-01-19</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to make-4.3. Fixes
+          <ulink url="&lfs-ticket-root;4578">#4578</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.0129. Addresses 
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gmp-6.2.0. Fixes
+          <ulink url="&lfs-ticket-root;4577">#4577</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to sed-4.8. Fixes
+          <ulink url="&lfs-ticket-root;4576">#4576</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-2.5.1. Fixes
+          <ulink url="&lfs-ticket-root;4575">#4575</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.4.13. Fixes
+          <ulink url="&lfs-ticket-root;4572">#4572</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2020-01-16</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 0ebc87489eeab6a3ff481446c66615a12ff7c147)
+++ chapter01/whatsnew.xml	(revision 9324285d9d1e7eee2506bd415da1e108280e0a00)
@@ -105,7 +105,7 @@
       <para>Glibc-&glibc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>GMP-&gmp-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Gperf-&gperf-version;</para>
@@ -168,7 +168,7 @@
       <para>M4-&m4-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Make-&make-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Man-DB-&man-db-version;</para>
@@ -216,7 +216,7 @@
       <para>Readline-&readline-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Sed-&sed-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Shadow-&shadow-version;</para>
Index: chapter05/make.xml
===================================================================
--- chapter05/make.xml	(revision 0ebc87489eeab6a3ff481446c66615a12ff7c147)
+++ chapter05/make.xml	(revision 9324285d9d1e7eee2506bd415da1e108280e0a00)
@@ -42,9 +42,9 @@
   <sect2 role="installation">
     <title>Installation of Make</title>
-
+<!--
     <para>First, work around an error caused by glibc-2.27 and later:</para>
 
 <screen><userinput remap="pre">sed -i '211,217 d; 219,229 d; 232 d' glob/glob.c</userinput></screen>
-
+-->
     <para>Prepare Make for compilation:</para>
 
Index: chapter06/make.xml
===================================================================
--- chapter06/make.xml	(revision 0ebc87489eeab6a3ff481446c66615a12ff7c147)
+++ chapter06/make.xml	(revision 9324285d9d1e7eee2506bd415da1e108280e0a00)
@@ -40,8 +40,9 @@
   <sect2 role="installation">
     <title>Installation of Make</title>
-
+<!--
     <para>Again, work around an error caused by glibc-2.27 and later:</para>
 
 <screen><userinput remap="pre">sed -i '211,217 d; 219,229 d; 232 d' glob/glob.c</userinput></screen>
+-->
     <para>Prepare Make for compilation:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision 0ebc87489eeab6a3ff481446c66615a12ff7c147)
+++ general.ent	(revision 9324285d9d1e7eee2506bd415da1e108280e0a00)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200116">
+<!ENTITY version         "SVN-20200119">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200116-systemd">
+<!ENTITY versiond        "20200119-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 16th, 2020">
+<!ENTITY releasedate     "January 19th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 0ebc87489eeab6a3ff481446c66615a12ff7c147)
+++ packages.ent	(revision 9324285d9d1e7eee2506bd415da1e108280e0a00)
@@ -51,8 +51,8 @@
 <!ENTITY bash-ch6-sbu "2.1 SBU">
 
-<!ENTITY bc-version "2.4.0">
-<!ENTITY bc-size "244 KB">
+<!ENTITY bc-version "2.5.1">
+<!ENTITY bc-size "246 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/archive/&bc-version;/bc-&bc-version;.tar.gz">
-<!ENTITY bc-md5 "7cd18d7658216df1340beecbb5bfa610">
+<!ENTITY bc-md5 "039ce0ae1d03cfbf1ff0db4898920d24">
 <!ENTITY bc-home "https://github.com/gavinhoward/bc">
 <!ENTITY bc-ch6-du "2.9 MB">
@@ -274,8 +274,8 @@
 <!ENTITY libthread_db-version "1.0">
 
-<!ENTITY gmp-version "6.1.2">
-<!ENTITY gmp-size "1,901 KB">
+<!ENTITY gmp-version "6.2.0">
+<!ENTITY gmp-size "1,966 KB">
 <!ENTITY gmp-url "&gnu;gmp/gmp-&gmp-version;.tar.xz">
-<!ENTITY gmp-md5 "f58fa8001d60c4c77595fbbb62b63c1d">
+<!ENTITY gmp-md5 "a325e3f09e6d91e62101e59f9bda3ec1">
 <!ENTITY gmp-home "&gnu-software;gmp/">
 <!ENTITY gmp-ch6-du "61 MB">
@@ -424,10 +424,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "4">
-<!ENTITY linux-patch-version "8">
+<!ENTITY linux-patch-version "13">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "106,892 KB">
+<!ENTITY linux-size "106,899 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "2f44c832e1d59ebe766731f9c215aca6">
+<!ENTITY linux-md5 "e9e2c3d63f532cc535b51d9640f5979e">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -452,8 +452,8 @@
 <!ENTITY m4-ch6-sbu "0.2 SBU">
 
-<!ENTITY make-version "4.2.1">
-<!ENTITY make-size "1,932 KB">
+<!ENTITY make-version "4.3">
+<!ENTITY make-size "2,263 KB">
 <!ENTITY make-url "&gnu;make/make-&make-version;.tar.gz">
-<!ENTITY make-md5 "7d0dcb6c474b258aab4d54098f2cf5a7">
+<!ENTITY make-md5 "fc7a67ea86ace13195b0bce683fd4469">
 <!ENTITY make-home "&gnu-software;make/">
 <!ENTITY make-ch5-du "13 MB">
@@ -597,8 +597,8 @@
 <!ENTITY readline-ch6-sbu "0.1 SBU">
 
-<!ENTITY sed-version "4.7">
-<!ENTITY sed-size "1,268 KB">
+<!ENTITY sed-version "4.8">
+<!ENTITY sed-size "1,317 KB">
 <!ENTITY sed-url "&gnu;sed/sed-&sed-version;.tar.xz">
-<!ENTITY sed-md5 "777ddfd9d71dd06711fe91f0925e1573">
+<!ENTITY sed-md5 "6d906edfdb3202304059233f51f9a71d">
 <!ENTITY sed-home "&gnu-software;sed/">
 <!ENTITY sed-ch5-du "20 MB">
@@ -699,10 +699,10 @@
 <!ENTITY util-linux-ch6-sbu "1.2 SBU">
 
-<!ENTITY vim-version "8.2.0024">
+<!ENTITY vim-version "8.2.0129">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "14,307 KB">
+<!ENTITY vim-size "14,325 KB">
 <!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "a1b5e7ae3ce2847dbd8672e6dd882750">
+<!ENTITY vim-md5 "1eb5bca782901dcb7b4d25322dc1a6b7">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-ch6-du "190 MB">