Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 8ab05f269f4601ae90fa7221ac155c25f2bcaeb4)
+++ appendices/dependencies.xml	(revision 22833745ddb894a610d16601cbf44f13738341e4)
@@ -39,5 +39,5 @@
 
 <!-- Begin Acl dependency info -->
-  <bridgehead renderas="sect2" id="acl-dep">acl</bridgehead>
+  <bridgehead renderas="sect2" id="acl-dep">Acl</bridgehead>
 
       <segmentedlist>
@@ -75,5 +75,5 @@
 
 <!-- Begin Attr dependency info -->
-  <bridgehead renderas="sect2" id="attr-dep">attr</bridgehead>
+  <bridgehead renderas="sect2" id="attr-dep">Attr</bridgehead>
 
       <segmentedlist>
@@ -541,4 +541,40 @@
       </segmentedlist>
 
+<!-- Begin E2fsprogs dependency info -->
+  <bridgehead renderas="sect2" id="e2fsprogs-dep">E2fsprogs</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
+         Gzip, Make, Sed, Texinfo, and Util-linux</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>Procps-ng and Psmisc</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Eudev dependency info -->
   <bridgehead renderas="sect2" id="eudev-dep">Eudev</bridgehead>
@@ -630,40 +666,4 @@
         <seglistitem>
           <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&external;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-<!-- Begin E2fsprogs dependency info -->
-  <bridgehead renderas="sect2" id="e2fsprogs-dep">E2fsprogs</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
-         Gzip, Make, Sed, Texinfo, and Util-linux</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>Procps-ng and Psmisc</seg>
         </seglistitem>
       </segmentedlist>
@@ -2581,5 +2581,5 @@
 
         <seglistitem>
-          <seg><ulink url="https://people.redhat.com/sgrubb/libcap-ng/">libcap-ng</ulink></seg>
+          <seg><ulink url="https://people.redhat.com/sgrubb/libcap-ng/">Libcap-ng</ulink></seg>
         </seglistitem>
       </segmentedlist>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 8ab05f269f4601ae90fa7221ac155c25f2bcaeb4)
+++ chapter01/changelog.xml	(revision 22833745ddb894a610d16601cbf44f13738341e4)
@@ -44,4 +44,17 @@
 -->
     <listitem>
+      <para>2018-09-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - LFS-8.3 released.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.18.5. Fixes
+          <ulink url="&lfs-ticket-root;4337">#4337</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-08-25</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 8ab05f269f4601ae90fa7221ac155c25f2bcaeb4)
+++ chapter01/whatsnew.xml	(revision 22833745ddb894a610d16601cbf44f13738341e4)
@@ -175,5 +175,5 @@
    </listitem>
    <listitem>
-      <para>meson-&meson-version;</para>
+      <para>Meson-&meson-version;</para>
    </listitem>
    <!-- <listitem>
Index: general.ent
===================================================================
--- general.ent	(revision 8ab05f269f4601ae90fa7221ac155c25f2bcaeb4)
+++ general.ent	(revision 22833745ddb894a610d16601cbf44f13738341e4)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180816">
-<!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
+<!ENTITY version         "8.3">
+<!ENTITY short-version   "8.3">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
-<!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
+<!ENTITY generic-version "8.3"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180816-systemd">
-<!ENTITY short-versiond  "systemd">
-<!ENTITY generic-versiond "systemd"> 
+<!ENTITY versiond        "8.3-systemd">  <!-- systemd or x.y-systemd -->
+<!ENTITY short-versiond  "systemd">  <!-- No longer used -->
+<!ENTITY generic-versiond "systemd"> <!-- No longer used -->
 
-<!ENTITY releasedate     "August 16, 2018">
+<!ENTITY releasedate     "September 1, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
@@ -26,8 +26,8 @@
 <!ENTITY min-kernel      "3.2">
 
-<!ENTITY patches-rootd   "&lfs-root;patches/lfs/&generic-versiond;/">
-<!ENTITY downloads-rootd "&lfs-root;lfs/downloads/&generic-versiond;/">
-<!ENTITY test-resultsd   "&lfs-root;lfs/build-logs/&generic-versiond;/">
-<!ENTITY erratad         "&lfs-root;lfs/errata/&generic-versiond;/">
+<!ENTITY patches-rootd   "&lfs-root;patches/lfs/&generic-version;/">
+<!ENTITY downloads-rootd "&lfs-root;lfs/downloads/&versiond;/">
+<!ENTITY test-resultsd   "&lfs-root;lfs/build-logs/&generic-version;/">
+<!ENTITY erratad         "&lfs-root;lfs/errata/&versiond;/">
 
 <!ENTITY lfs-ticket-root "http://wiki.linuxfromscratch.org/lfs/ticket/">
Index: packages.ent
===================================================================
--- packages.ent	(revision 8ab05f269f4601ae90fa7221ac155c25f2bcaeb4)
+++ packages.ent	(revision 22833745ddb894a610d16601cbf44f13738341e4)
@@ -376,9 +376,9 @@
 
 <!ENTITY lfs-bootscripts-version "20180820">      <!-- Scripts depend on this format -->
-<!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
+<!ENTITY lfs-bootscripts-size "32 KB">        
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
-<!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">  
+<!ENTITY lfs-bootscripts-md5 "57c9501afe65b95bc4428f344ab2c85e">  
 <!ENTITY lfs-bootscripts-home " ">
-<!ENTITY lfs-bootscripts-ch7-du "BOOTSCRIPTS-INSTALL-KB KB"> 
+<!ENTITY lfs-bootscripts-ch7-du "244 KB"> 
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
 
@@ -417,10 +417,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "18">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "5">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "99,409 KB">
+<!ENTITY linux-size "99,411 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "70b08b4bb5bfe1783d79cd41e2303970">
+<!ENTITY linux-md5 "22851fe6c82db6673a844bbb7c62df67">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is