Index: chapter05/expect.xml
===================================================================
--- chapter05/expect.xml	(revision 1a891522eeb6915498901721c578f1372c5e582e)
+++ chapter05/expect.xml	(revision 23102484ac78d11bbde57cae6694d18f50551ba5)
@@ -1,129 +1,164 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
+
 <sect1 id="ch-tools-expect" role="wrap">
-<title>Expect-&expect-version;</title>
-<?dbhtml filename="expect.html"?>
+  <?dbhtml filename="expect.html"?>
 
-<indexterm zone="ch-tools-expect"><primary sortas="a-Expect">Expect</primary></indexterm>
+  <title>Expect-&expect-version;</title>
 
-<sect2 role="package"><title/>
-<para>The Expect package contains a program for carrying out scripted dialogues
-with other interactive programs.</para>
+  <indexterm zone="ch-tools-expect">
+    <primary sortas="a-Expect">Expect</primary>
+  </indexterm>
 
-<segmentedlist>
-<segtitle>&buildtime;</segtitle>
-<segtitle>&diskspace;</segtitle>
-<seglistitem><seg>0.1 SBU</seg><seg>4.0 MB</seg></seglistitem>
-</segmentedlist>
+  <sect2 role="package">
+    <title/>
 
-<segmentedlist>
-<segtitle>&dependencies;</segtitle>
-<seglistitem><seg>Bash, Binutils, Coreutils, Diffutils,
-GCC, Glibc, Grep, Make, Patch, Sed, and Tcl</seg></seglistitem>
-</segmentedlist>
-</sect2>
+    <para>The Expect package contains a program for carrying out scripted
+    dialogues with other interactive programs.</para>
 
-<sect2 role="installation">
-<title>Installation of Expect</title>
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
 
-<para>First, fix a bug that can result in false failures during the GCC test
-suite run:</para>
+      <seglistitem>
+        <seg>0.1 SBU</seg>
+        <seg>4.0 MB</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <segmentedlist>
+      <segtitle>&dependencies;</segtitle>
+
+      <seglistitem>
+        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
+        Patch, Sed, and Tcl</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Expect</title>
+
+    <para>First, fix a bug that can result in false failures during the GCC test
+    suite run:</para>
 
 <screen><userinput>patch -Np1 -i ../&expect-spawn-patch;</userinput></screen>
 
-<para>Now prepare Expect for compilation:</para>
+    <para>Now prepare Expect for compilation:</para>
 
 <screen><userinput>./configure --prefix=/tools --with-tcl=/tools/lib \
-   --with-tclinclude=/tools/include --with-x=no</userinput></screen>
+  --with-tclinclude=/tools/include --with-x=no</userinput></screen>
 
-<para>The meaning of the configure options:</para>
+    <variablelist>
+      <title>The meaning of the configure options:</title>
 
-<variablelist>
-<varlistentry>
-<term><parameter>--with-tcl=/tools/lib</parameter></term>
-<listitem><para>This ensures that the configure script finds the Tcl installation in
-the temporary tools location instead of possibly locating an existing
-one on the host system.</para></listitem>
-</varlistentry>
+      <varlistentry>
+        <term><parameter>--with-tcl=/tools/lib</parameter></term>
+        <listitem>
+          <para>This ensures that the configure script finds the Tcl
+          installation in the temporary tools location instead of possibly
+          locating an existing one on the host system.</para>
+        </listitem>
+      </varlistentry>
 
-<varlistentry>
-<term><parameter>--with-tclinclude=/tools/include</parameter></term>
-<listitem><para>This explicitly tells Expect where to find Tcl's internal headers.
-Using this option avoids conditions where <command>configure</command> fails because
-it cannot automatically discover the location of Tcl's headers.</para></listitem>
-</varlistentry>
+      <varlistentry>
+        <term><parameter>--with-tclinclude=/tools/include</parameter></term>
+        <listitem>
+          <para>This explicitly tells Expect where to find Tcl's internal
+          headers. Using this option avoids conditions where
+          <command>configure</command> fails because it cannot automatically
+          discover the location of Tcl's headers.</para>
+        </listitem>
+      </varlistentry>
 
-<varlistentry>
-<term><parameter>--with-x=no</parameter></term>
-<listitem><para>This tells the configure script not to search for Tk
-(the Tcl GUI component) or the X Window System libraries, both of
-which may reside on the host system but will not exist in the temporary
-environment.</para></listitem>
-</varlistentry>
-</variablelist>
+      <varlistentry>
+        <term><parameter>--with-x=no</parameter></term>
+        <listitem>
+          <para>This tells the configure script not to search for Tk (the
+          Tcl GUI component) or the X Window System libraries, both of which
+          may reside on the host system but will not exist in the temporary
+          environment.</para>
+        </listitem>
+      </varlistentry>
 
-<para>Build the package:</para>
+    </variablelist>
+
+    <para>Build the package:</para>
 
 <screen><userinput>make</userinput></screen>
 
-<para>To test the results, issue: <userinput>make test</userinput>.
-Note that the Expect test suite is known to experience failures under
-certain host conditions that are not within our control. Therefore,
-test suite failures here are not surprising and are not considered
-critical.</para>
+    <para>To test the results, issue: <userinput>make test</userinput>.
+    Note that the Expect test suite is known to experience failures under
+    certain host conditions that are not within our control. Therefore,
+    test suite failures here are not surprising and are not considered
+    critical.</para>
 
-<para>Install the package:</para>
+    <para>Install the package:</para>
 
 <screen><userinput>make SCRIPTS="" install</userinput></screen>
 
-<para>The meaning of the make parameter:</para>
+    <variablelist>
+      <title>The meaning of the make parameter:</title>
 
-<variablelist>
-<varlistentry>
-<term><parameter>SCRIPTS=""</parameter></term>
-<listitem><para>This prevents installation of the supplementary expect
-scripts, which are not needed.</para></listitem>
-</varlistentry>
-</variablelist>
+      <varlistentry>
+        <term><parameter>SCRIPTS=""</parameter></term>
+        <listitem>
+          <para>This prevents installation of the supplementary Expect
+          scripts, which are not needed.</para>
+        </listitem>
+      </varlistentry>
 
-</sect2>
+    </variablelist>
 
-<sect2 id="contents-expect" role="content"><title>Contents of Expect</title>
+  </sect2>
 
-<segmentedlist>
-<segtitle>Installed program</segtitle>
-<segtitle>Installed library</segtitle>
-<seglistitem><seg>expect</seg><seg>libexpect-&expect-lib-version;.a</seg></seglistitem>
-</segmentedlist>
+  <sect2 id="contents-expect" role="content">
+    <title>Contents of Expect</title>
 
-<variablelist><bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
-<?dbhtml list-presentation="table"?>
+    <segmentedlist>
+      <segtitle>Installed program</segtitle>
+      <segtitle>Installed library</segtitle>
 
-<varlistentry id="expect">
-<term><command>expect</command></term>
-<listitem>
-<para>Communicates with other interactive
-programs according to a script</para>
-<indexterm zone="ch-tools-expect expect"><primary sortas="b-expect">expect</primary></indexterm>
-</listitem>
-</varlistentry>
+      <seglistitem>
+        <seg>expect</seg>
+        <seg>libexpect-&expect-lib-version;.a</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<varlistentry id="libexpect">
-<term><filename class="libraryfile">libexpect-&expect-lib-version;.a</filename></term>
-<listitem>
-<para>Contains functions that allow Expect to be used as a Tcl extension or to
-be used directly from C or C++ (without Tcl)</para>
-<indexterm zone="ch-tools-expect libexpect"><primary
-sortas="c-libexpect-&expect-lib-version;">libexpect-&expect-lib-version;</primary></indexterm>
-</listitem>
-</varlistentry>
-</variablelist>
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
 
-</sect2>
+      <varlistentry id="expect">
+        <term><command>expect</command></term>
+        <listitem>
+          <para>Communicates with other interactive programs according
+          to a script</para>
+          <indexterm zone="ch-tools-expect expect">
+            <primary sortas="b-expect">expect</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libexpect">
+        <term><filename class="libraryfile">libexpect-&expect-lib-version;.a</filename></term>
+        <listitem>
+          <para>Contains functions that allow Expect to be used as a Tcl
+          extension or to be used directly from C or C++ (without Tcl)</para>
+          <indexterm zone="ch-tools-expect libexpect">
+            <primary sortas="c-libexpect-&expect-lib-version;">libexpect-&expect-lib-version;</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
 
 </sect1>
-